// Erweiterungsskript (background.js)

// Die Domain der Webseite aus den Optionen der Erweiterung abrufen
chrome.storage.sync.get(['domain'], function(result) {
    // Konfigurationsdaten von der Webseite abrufen
    fetch(result.domain + '/config.php')
        .then(response => response.json())
        .then(data => {
            // Datenbankverbindung herstellen
            const host = data.host;
            const username = data.username;
            const password = data.password;
            const database = data.database;
            const email = data.email;
            const notificationDays = data.notification_days;

            // Verbindung zur Datenbank herstellen und Artikel hinzufügen...
        })
        .catch(error => console.error('Fehler beim Abrufen der Konfigurationsdaten:', error));
});