// Erweiterungsoptionen (options.js)
document.addEventListener('DOMContentLoaded', function() {
    const optionsForm = document.getElementById('optionsForm');

    optionsForm.addEventListener('submit', function(event) {
        event.preventDefault(); // Formular-Standardverhalten verhindern

        const domain = document.getElementById('domain').value;
        chrome.storage.sync.set({ 'domain': domain }, function() {
            console.log('Domain gespeichert:', domain);
        });
    });
});
