// popup.js

document.getElementById('addMaterialForm').addEventListener('submit', function(event) {

    event.preventDefault(); // Formular-Standardverhalten verhindern

    // Daten aus dem Formular sammeln
    const formData = new FormData(this);

    // Die Domain der Webseite aus den Optionen der Erweiterung abrufen
    chrome.storage.sync.get(['domain'], function(result) {
        // AJAX-Anfrage zum Hinzufügen des Artikels an die Webseite senden
        fetch(result.domain + '/add_material.php', {
            method: 'POST',
            body: formData
        })
        .then(response => response.json())
        .then(data => {
            // Hier kannst du die Antwort verarbeiten (z.B. eine Erfolgsmeldung anzeigen)
            console.log(data);
        })
        .catch(error => console.error('Fehler beim Hinzufügen des Materials:', error));
    });
});